/* program : listgen.c
   author  : Ren Bodenstaff
   date    : august 15 1994
   purpose : generates arbitrary member list for key testing
   tested  : <none>
*/

/* ---------------- Includes ------------------------------ */
#include <time.h>
#include <stdlib.h>
#include <io.h>
#include <dos.h>
#include <conio.h>
#include <stdio.h>
#include <string.h>
#include <ctype.h>

/* ---------------- Defines ------------------------------- */
#define MAX_MEM         680     /* maximum number of members per lock      */

/* ---------------- Prototypes ---------------------------- */


/* -------------------------- MAIN ---------------------------- */

main(int argc, char *argv[])
{
  int i;

  /* --- check for command line consistency & open names file and scan port# */
  if(argc!=2) {
    fprintf(stderr, "usage: listgen <member_count>\n");
    exit(1);
  }

  if(atoi(argv[1])>MAX_MEM) {
    fprintf(stderr, "number of members must be no more than %d\n", MAX_MEM);
    fprintf(stderr, "usage: listgen <member_count>\n");
    exit(1);
  }
  for(i=0; i<atoi(argv[1]); i++)
    fprintf(stdout, "%06x pizzaman%d\n", i, i);

  exit(0);
} /* main */

/* ---------------- Functions ---------------------------------- */

